@extends('admin.layout.master')

@section('title')
    Practice Lectures List
@endsection

@section('content')
    <link rel="stylesheet" href="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.css') }}">
    <div class="page-content">

        <nav class="page-breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{ route('admin./') }}">Home</a></li>
                <li class="breadcrumb-item active" aria-current="page">Practice Lectures List</li>
            </ol>
        </nav>

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-5">
                            <div class="col-md-12"><h6 class="card-title">Practice Lectures List</h6></div>
                        </div>
                        <div class="table-responsive">
                            <table class="table MyTable">
                                <thead>
                                <tr>
                                    <th>Id</th>
                                    <th>Image</th>
                                    <th>Heading</th>
                                    <th>Link</th>
                                    <th>Action</th>
                                </tr>
                                </thead>
                                <tbody>
                                @forelse($lists as $b=>$list)
                                    <tr>
                                        <td>{{ $b+1 }}</td>
                                        <td>
                                            <a href="{{ URL::asset('admin/assets/uploads/'.$list->image )}}"
                                               target="_blank">
                                                <img src="{{ URL::asset('admin/assets/uploads/'.$list->image )}}" alt=""
                                                     style="width:40px;height:40px">
                                            </a>
                                        </td>
                                        <td>{{ $list->heading }}</td>
                                        <td>
                                            <a class="btn btn-warning" href="{{ $list->link }}" target="_blank">Visit
                                                Link</a>
                                        </td>
                                        <td>
                                            <a data-bs-toggle="modal"
                                               data-bs-target="#UpdatePrac{{ $list->id }}"
                                               class="btn btn-outline-info btn-icon">
                                                <i data-feather="edit"></i>
                                            </a>
                                            <a onclick="return(confirm('Are you sure to delete this record permanently ?'))"
                                               href="{{ route('admin.deletepracticelecture',[encrypt($list->id)]) }}"
                                               class="btn btn-danger"><i class="link-icon" data-feather="trash"></i></a>
                                        </td>

                                    </tr>

                                    <div class="modal fade" id="UpdatePrac{{ $list->id }}" tabindex="-1"
                                         aria-labelledby="exampleModalLabel" aria-hidden="true">
                                        <div class="modal-dialog modal-lg">
                                            <div class="modal-content">
                                                <div class="modal-header bg-dark">
                                                    <h5 class="modal-title text-white" id="exampleModalLabel">Edit
                                                        Record</h5>
                                                    <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                            aria-label="btn-close"></button>
                                                </div>
                                                <div class="modal-body">
                                                    <div class="container">
                                                        <form action="{{ route('admin.updatepracticerecord') }}" method="post"
                                                              enctype="multipart/form-data">
                                                            @csrf
                                                            <div class="row">
                                                                <div class="col-md-12">
                                                                    <div class="form-group">
                                                                        <label> Heading </label>
                                                                        <input type="text" name="heading"
                                                                               autocomplete="off"
                                                                               class="form-control MyInput"
                                                                               required="" placeholder="Heading . . . "
                                                                               value="{{ $list->heading }}">
                                                                        <input type="hidden" name="id"
                                                                               value="{{ encrypt($list->id) }}">
                                                                    </div>
                                                                </div>

                                                                <div class="col-md-12">
                                                                    <label for="">Choose Image</label>
                                                                    <input type="file"
                                                                           class="form-control mb-3 MyFileInput"
                                                                           autocomplete="off"
                                                                           name="image" accept="image/*">
                                                                    <small><a
                                                                                href="{{ url::asset('admin/assets/uploads/'.$list->image) }}"
                                                                                target="_blank">View Image</a></small>
                                                                </div>
                                                                <div class="col-md-12">
                                                                    <div class="form-group">
                                                                        <label> Link </label>
                                                                        <input type="text" name="link"
                                                                               autocomplete="off"
                                                                               class="form-control MyInput"
                                                                               required="" placeholder="link . . . "
                                                                               value="{{ $list->link }}">
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-12 text-center">
                                                                    <button class="btn btn-dark" type="submit"> Save
                                                                    </button>
                                                                </div>
                                                            </div>
                                                        </form>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                @empty
                                @endforelse
                                </tbody>
                            </table>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection
@section('script')
    <script src="{{ URL::asset('admin/assets/vendors/datatables.net/jquery.dataTables.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/js/data-table.js') }}"></script>

    <script>

        $(".MyTable").DataTable();

    </script>

@endsection
