@extends('admin.layout.master')

@section('title')
    Users List
@endsection

@section('content')
    <link rel="stylesheet" href="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.css') }}">
    <div class="page-content">

        <nav class="page-breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{ route('admin./') }}">Home</a></li>
                <li class="breadcrumb-item active" aria-current="page">Users List</li>
            </ol>
        </nav>

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-5">
                            <div class="col-md-12"><h6 class="card-title"> Users List</h6></div>
                        </div>
                        <div class="table-responsive">
                            <table class="table MyTable">
                                <thead>
                                <tr>
                                    <th>Id</th>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Phone</th>
                                    <th>Status</th>
                                    <th>Created At</th>
                                </tr>
                                </thead>
                                <tbody>
                                @forelse($users as $b=>$user)
                                    <tr>
                                        <td>{{ $b+1 }}</td>
                                        <td>{{ $user->name }}</td>
                                        <td>{{ $user->email }}</td>
                                        <td>{{ $user->phone }}</td>
                                        <td>
                                            @if($user->status=="active")
                                                <a href="{{ route('admin.active_inactive',[encrypt($user->id)]) }}"
                                                   onclick="return(confirm('Are you sure to make this user INACTIVE ?'))"
                                                   href=""><span class="badge bg-success">{{ $user->status }}</span></a>
                                            @else
                                                <a href="{{ route('admin.active_inactive',[encrypt($user->id)]) }}"
                                                   onclick="return(confirm('Are you sure to make this user ACTIVE ?'))"
                                                   href=""><span class="badge bg-danger">{{ $user->status }}</span></a>
                                            @endif
                                        </td>
                                        <td>{{ \Carbon\Carbon::parse($user->created_at)->format('d M Y') }}</td>
                                    </tr>

                                @empty
                                @endforelse
                                </tbody>
                            </table>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection
@section('script')
    <script src="{{ URL::asset('admin/assets/vendors/datatables.net/jquery.dataTables.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/js/data-table.js') }}"></script>

    <script>

        $(".MyTable").DataTable();

    </script>

@endsection
