@extends('website.layout.master')

@section('title')

    Blog Detail

@endsection

@section('content')

    <!-- blog area start -->
    <div class="blog-area pd-top-120">
        <div class="container">
            <div class="row">
                <div class="col-lg-8">
                    <div class="blog-details-page-content">
                        <div class="single-blog-inner">
                            <div class="thumb mb-4">
                                <img src="{{ URL::asset('admin/assets/uploads/'.$blog->image )}}" alt="img"
                                     style="width: 100%">
                            </div>
                            <div class="details p-0">
                                <ul class="blog-meta">
                                    <li><i class="far fa-user"></i>By {{ $admin->name }}</li>
                                    <li><i class="far fa-folder-open"></i>{{ $blog->category_data->name }}</li>
                                </ul>
                                <h2 class="mb-3">{{ $blog->heading }}</h2>
                                {!! $blog->description !!}
                                <div class="tag-and-share">
                                    <div class="tags d-inline-block">
                                        <strong>Tags : </strong>
                                        <?php
                                        $tags1 = $blog->tags;
                                        $tags = explode(",", $tags1)
                                        ?>
                                        @forelse($tags as $tag)
                                            <a>{{ $tag }}</a>
                                        @empty
                                        @endforelse
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 col-12">
                    <div class="td-sidebar">
                        <div class="widget widget_search">
                            <h4 class="widget-title">Search Here</h4>
                            <form class="search-form" method="get" action="{{ route('blog') }}">
                                <div class="form-group">
                                    <input type="text" placeholder="Key word" name="heading" required>
                                </div>
                                <button class="submit-btn" type="submit"><i class="fas fa-chevron-right"></i></button>
                            </form>
                        </div>

                        <div class="widget widget_catagory">
                            <h4 class="widget-title">Catagory</h4>
                            <ul class="catagory-items">
                                @forelse($blog_categories as $blog_categorie)
                                    <li>
                                        <a href="{{ route('blog',["categoryid"=>$blog_categorie->id]) }}">{{ $blog_categorie->name }}
                                            <span>{{ $blog_categorie->total_blogs->count() }}</span></a></li>
                                @empty
                                @endforelse
                            </ul>
                        </div>
                        <div class="widget widget_tag_cloud mb-0">
                            <h4 class="widget-title">Popular Tags</h4>
                            <div class="tagcloud">
                                @forelse($tags as $tag)
                                    <a>{{ $tag }}</a>
                                @empty
                                @endforelse
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection

@section('script')
    <script src="{{ URL::asset('website/js/vendor/waypoints.js') }}"></script>
    <script>
        function test() {
            alert();
        }

    </script>
@endsection
