@extends('website.layout.master')

@section('title')

    Contact Us

@endsection

@section('content')

    <!-- page title start -->
    <div class="breadcrumb-area bg-cover" style="background-image: url('website/images/bg/9.png');">
        <div class="container">
            <div class="breadcrumb-inner text-center">
                <h2 class="page-title">Contact</h2>
                <ul class="page-list">
                    <li><a href="{{route('home')}}">Home</a></li>
                    <li>Contact</li>
                </ul>
            </div>
        </div>
    </div>
    <!-- page title end -->

    <!-- contact list start -->
    <div class="contact-page-list pd-top-120">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-4 col-md-6">
                    <div class="single-contact-list text-center">
                        <div class="thumb">
                            <img src="{{ URL::asset('website/images/icon/14.png')}}" alt="img">
                        </div>
                        <div class="details">
                            <h5>Phone Number</h5>
                            <h6>{{ $setting->phone }}</h6>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 col-md-6">
                    <div class="single-contact-list text-center">
                        <div class="thumb">
                            <img src="{{ URL::asset('website/images/icon/15.png')}}" alt="img">
                        </div>
                        <div class="details">
                            <h5>Your Email</h5>
                            <h6>{{ $setting->email }}</h6>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 col-md-6">
                    <div class="single-contact-list text-center">
                        <div class="thumb">
                            <img src="{{ URL::asset('website/images/icon/16.png')}}" alt="img">
                        </div>
                        <div class="details">
                            <h5>Location</h5>
                            <h6 style="font-size: 14px">{{ $setting->location }}</h6>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- contact list start -->

    <!-- map start -->
    <div class="contact-g-map">
        <iframe
                src="https://www.google.com/maps/embed?pb=!1m10!1m8!1m3!1d29208.601361499546!2d90.3598076!3d23.7803374!3m2!1i1024!2i768!4f13.1!5e0!3m2!1sen!2sbd!4v1589109092857!5m2!1sen!2sbd"></iframe>
    </div>
    <!-- map end -->

    <!-- contact area start -->
    <div class="contact-area pd-top-120 pb-4">
        <div class="container">
            <div class="row">
                <div class="col-lg-4">
                    <div class="section-title">
                        <h6 class="sub-title">Contact us</h6>
                        <h2 class="title">Do you have any question? </h2>
                        <p class="content">Have questions or need assistance? We're here to help! Our dedicated team at
                            Owalam College Prep is committed to providing you with the support and guidance you need to
                            succeed. </p>
                        <ul class="social-media mt-4">
                            <li>
                                <a href="#">
                                    <i class="fab fa-facebook-f"></i>
                                </a>
                            </li>
                            <li>
                                <a href="#">
                                    <i class="fab fa-twitter"></i>
                                </a>
                            </li>
                            <li>
                                <a href="#">
                                    <i class="fab fa-instagram"></i>
                                </a>
                            </li>
                            <li>
                                <a href="#">
                                    <i class="fab fa-whatsapp"></i>
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="col-lg-8">
                    <div class="contact-page-inner ps-xl-5">
                        <form action="{{ route('save_contact_message') }}" method="post">
                            @csrf
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="single-input-inner style-bg">
                                        <input type="text" placeholder="Your Name" name="name" required>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="single-input-inner style-bg">
                                        <input type="email" placeholder="Your Email" name="email" required>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="single-input-inner style-bg">
                                        <input type="text" placeholder="Phone" name="phone" required>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="single-input-inner style-bg">
                                        <input type="text" placeholder="Subject" name="subject" required>
                                    </div>
                                </div>
                                <div class="col-12">
                                    <div class="single-input-inner style-bg">
                                        <textarea placeholder="Message" name="message" required></textarea>
                                    </div>
                                </div>
                                <div class="col-12">
                                    <button class="btn btn-base border-radius-5">Submit</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>

        </div>
    </div>
    <!-- contact area end -->

@endsection

@section('script')
    <script src="{{ URL::asset('website/js/vendor/waypoints.js') }}"></script>
    <script>
        function test() {
            alert();
        }

    </script>
@endsection
