@extends('website.layout.master')

@section('title')

Home

@endsection

@section('content')

    <!-- page title start -->
    <div class="banner-area bg-relative banner-area-1 banner-area-2"
         style="background-image: url('website/images/banner-2/1.png');">
        <img class="banner-shape" src="{{ URL::asset('website/images/banner-2/2.png')}}" alt="img">
        <div class="container">
            <div class="row">
                <div class="col-lg-6">
                    <h6 class="mb-3">Learn Practice Thrive</h6>
                    <h2 class="text-white tt-capetal mb-4">Unlock your potential through education</h2>
                    <p class="text-white mb-4 pb-3">We empower students to maximize their potential and achieve top SAT
scores. Unlocking their dream colleges through extensive scholarship
search and expert college application guidance.</p>
                    <a class="btn btn-yellow" href="{{route('about')}}">About Us</a>
                </div>
            </div>
        </div>
    </div>
    <!-- banner end -->



    <!-- course area start -->
    <div class="course-area pd-top-115 position-relative">
        <img class="position_animate_img top_image_bounce position-bottom-right"
             src="{{ URL::asset('website/images/shape/9.png')}}" alt="img">
        <div class="container">
            <div class="section-title text-center">
                <h6 class="sub-title">Top Popular Lectures</h6>
                <h2 class="title">Focus on Your Success, We'll Handle the Rest</h2>
            </div>
            <div class="row">
                @forelse($lectures as $lecture)
                    <div class="col-lg-4 col-md-6">
                        <div class="single-course-inner">
                            <div class="thumb mb-4">
                                <img class="w-100" src="{{ URL::asset('admin/assets/uploads/'.$lecture->image )}}"
                                     alt="img">
                                <a class="course-cat border-radius-40 fw-500"
                                   href="{{route('lecturedetails',[$lecture->slug])}}">{{ $lecture->category }}</a>
                            </div>
                            <div class="details">
                                <div class="row">
                                    <div class="col-6">
                                        <div class="course-list">
                                            <svg width="14" height="16" viewBox="0 0 14 16" fill="none"
                                                 xmlns="http://www.w3.org/2000/svg">
                                                <path
                                                    d="M8.5 9.5C11.5312 9.5 14 11.9688 14 15C14 15.5625 13.5312 16 13 16H1C0.4375 16 0 15.5625 0 15C0 11.9688 2.4375 9.5 5.5 9.5H8.5ZM1.5 14.5H12.4688C12.2188 12.5312 10.5312 11 8.5 11H5.5C3.4375 11 1.75 12.5312 1.5 14.5ZM7 8C4.78125 8 3 6.21875 3 4C3 1.8125 4.78125 0 7 0C9.1875 0 11 1.8125 11 4C11 6.21875 9.1875 8 7 8ZM7 1.5C5.59375 1.5 4.5 2.625 4.5 4C4.5 5.40625 5.59375 6.5 7 6.5C8.375 6.5 9.5 5.40625 9.5 4C9.5 2.625 8.375 1.5 7 1.5Z"
                                                    fill="{{route('lecturedetails',[$lecture->slug])}}2F57EF"/>
                                            </svg>

                                        </div>
                                    </div>

                                </div>
                                <h4 class="course-title mb-4"><a
                                        href="{{route('lecturedetails',[$lecture->slug])}}">{{ $lecture->heading }}</a>
                                </h4>
                                <div class="row">
                                    <div class="col-6">
                                        <div class="media course-author">
                                            <div class="media-left pe-2">
                                                <img src="{{ URL::asset('website/images/course/0.png')}}" alt="img">
                                            </div>
                                            <div class="media-body align-self-center">
                                                <h6 class="mb-0 fw-500">{{ $lecture->lectureby }}</h6>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-6 align-self-center text-end">
                                        <a class="right-arrow-text fw-700 color-base"
                                           href="{{route('lecturedetails',[$lecture->slug])}}">View
                                            Lecture <i class="fa fa-arrow-right ms-2"></i></a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                @empty
                @endforelse
            </div>
        </div>
    </div>
    <!-- course area end -->

    <!-- service-course-area start -->
    <div class="service-course-area pd-top-120 pd-bottom-90 position-relative">
        <img class="position_animate_img top_image_bounce position-bottom-left"
             src="{{ URL::asset('website/images/shape/4.png')}}" alt="img">
        <div class="container">
            <div class="row">
                <div class="col-xl-5 col-lg-6">
                    <div class="section-title mb-0 mb-lg-5 pb-2">
                        <h6 class="sub-title">Owalam College Prep</h6>
                        <h2 class="title">Unleash Your Potential: Your Path to an American Dream University</h2>
                    </div>
                </div>
                <div class="col-xl-5 offset-xl-2 col-lg-6">
                    <p class="mb-4">At Owalam College Prep we believe everyone deserves a shot at achieving their academic goals. We level the playing field, empowering students from all backgrounds to gain admission to their dream American university.</p>
                 
                </div>
            </div>
            <div class="row mt-5 mt-lg-0">
                <div class="col-xl-6" >
                    <div class="bg-yellow p-4 border-radius-20 mb-xl-0 mb-4">
                        <div class="m-3 pt-1">
                            <h4>The Sky’s The Limit</h4>
                            <ul class="p-0 m-0 single-check-inner mt-3 pt-3 pb-2">
                                <li>
                                    <img src="{{ URL::asset('website/images/about/5.png')}} " alt="img">
                                    <b>Master the DSAT:</b> We've implemented a
revolutionary gamified AI learning platform to
make your prep experience engaging and
maximize your results.

                                </li>
                                <li>
                                    <img src="{{ URL::asset('website/images/about/5.png')}} " alt="img">
                                    <b>A: Don't stress!</b>
Our experienced writers will help you sculpt an
outstanding essay that tells your story and shines with
your unique voice.

                                </li>
                                <li>
                                    <img src="{{ URL::asset('website/images/about/5.png')}} " alt="img">
                                   <b>We use cutting-edge</b>
algorithms to uncover merit-based scholarships you
qualify for – from partial tuition to full-ride dreams.

                                </li>
                                <li class="mb-0">
                                    <img src="{{ URL::asset('website/images/about/5.png')}} " alt="img">
                                    <b>Visa Interview Counselling (Optional):</b> Feeling nervous?
We offer comprehensive guidance to navigate the visa
interview process with confidence.

                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="col-xl-6" style="padding-top: 7%;">
                    <div class="bg-relative service-course-thumb">
                        <img class="shape_img left_image_bounce" src="{{ URL::asset('website/images/shape/1.png')}}"
                             alt="img">
                        <img class="border-radius-20 w-100" src="{{ URL::asset('website/images/about/6.png')}}"
                             alt="img">
                        <img class="border-radius-5 top_image_bounce"
                             src="{{ URL::asset('website/images/about/7.png')}}" alt="img">
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- service-course-area end -->

    <!-- parse-option-area start -->
    <div class="parse-option-area pd-top-120 position-relative"
         style="background-image: url('website/images/bg/4.png');">
        <img class="position_animate_img top_image_bounce position-top-right"
             src="{{ URL::asset('website/images/shape/2.png')}}" alt="img">
        <div class="container">
            <div class="row">
                <div class="col-xl-5 col-lg-6">
                    <div class="section-title mb-0 mb-lg-5 pb-2">
                        <h6 class="sub-title">Owalam College Prep</h6>
                        <h2 class="title">Your Partner in Academic Success</h2>
                    </div>
                </div>
                <div class="col-xl-5 offset-xl-2 col-lg-6">
                    <p class="mb-4">we understand the importance of thorough preparation for academic success. Our team
                        of experienced educators and experts is dedicated to providing you with the tools and support
                        you need to achieve your goals.But that's not all! We make learning fun and effective with:</p>

                </div>
            </div>
            <div class="parse-option box-shadow border-radius-40 overflow-hidden bg-white mt-5 mt-lg-0">
                <div class="row">
                    <div class="col-lg-6 min-height-350"
                         style="background-image: url('website/images/about/8.png');"></div>
                    <div class="col-lg-6">
                        <div class="p-xxl-5 p-4">
                            <div class="media pt-lg-4">
                                <div class="media-left me-3">
                                    <img src="{{ URL::asset('website/images/icon/7.png')}}" alt="img">
                                </div>
                                <div class="media-body">
                                    <h5>Gamified Learning Platform </h5>
                                    <p class="mb-0">Earn points, conquer challenges, and stay motivated on your college prep journey.</p>
                                </div>
                            </div>
                            <div class="media mt-4 pt-xl-3">
                                <div class="media-left me-3">
                                    <img src="{{ URL::asset('website/images/icon/7.png')}}" alt="img">
                                </div>
                                <div class="media-body">
                                    <h5>Weekly Mock Exams</h5>
                                    <p class="mb-0">Get real-world experience under exam conditions, every single week. </p>
                                </div>
                            </div>
                            <div class="media mt-4 pt-xl-3 ">
                                <div class="media-left me-3">
                                    <img src="{{ URL::asset('website/images/icon/7.png')}}" alt="img">
                                </div>
                                <div class="media-body">
                                    <h5>AI-Powered Learning</h5>
                                    <p class="mb-0">Our intelligent system tailors your learning path to your individual needs.</p>
                                </div>
                            </div>
                            <div class="media mt-4 pt-xl-3 pb-lg-4">
                                <div class="media-left me-3">
                                    <img src="{{ URL::asset('website/images/icon/7.png')}}" alt="img">
                                </div>
                                <div class="media-body">
                                    <h5>Ask Mia, Anytime</h5>
                                    <p class="mb-0">Stuck on a concept? Get instant explanations with "Ask Mia," your personal 24/7 study tutor.</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- parse-option-area end -->

    <!-- future generations start -->
    <div class="future-generations pd-top-115 position-relative">
        <img class="position_animate_img top_image_bounce position-top-right"
             src="{{ URL::asset('website/images/shape/8.png')}}" alt="img">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-xl-6 col-lg-7">
                    <div class="section-title text-center">
                        <h6 class="sub-title">Future Generations</h6>
                        <h2 class="title">Preserving the earth for future generations</h2>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-6">
                    <div class="future-generations-inner color-light-pink mb-4">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="left-content">
                                    <div class="thumb mb-4 pb-2">
                                        <img src="{{ URL::asset('website/images/icon/9.png')}} " alt="img">
                                    </div>
                                    <div class="details">
                                        <h5 class="mb-3">D-SAT速</h5>
                                        <p class="content mb-4">Realistic fulllength digital
SAT速 mock tests
that mirror
the College
Board`s format
</p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6 text-md-end align-self-end">
                                <div class="thumb">
                                    <img src="{{ URL::asset('website/images/about/9.png')}} " alt="img">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-6">
                    <div class="future-generations-inner color-light-blue mb-4">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="left-content">
                                    <div class="thumb mb-4 pb-2">
                                        <img src="{{ URL::asset('website/images/icon/10.png')}}" alt="img">
                                    </div>
                                    <div class="details">
                                        <h5 class="mb-3">Capabilities and Gaps
</h5>
                                        <p class="content mb-4">Identify strengths and
areas for improvement
to optimize study strategy</p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6 text-md-end align-self-end">
                                <div class="thumb">
                                    <img src="{{ URL::asset('website/images/about/10.png')}}" alt="img">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-6">
                    <div class="future-generations-inner color-light-yellow mb-4">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="left-content">
                                    <div class="thumb mb-4 pb-2">
                                        <img src="{{ URL::asset('website/images/icon/11.png')}}" alt="img">
                                    </div>
                                    <div class="details">
                                        <h5 class="mb-3">Topic-wise Report
</h5>
                                        <p class="content mb-4">Gain insights into
specific topics for
targeted
improvement and
learning
</p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6 text-md-end align-self-end">
                                <div class="thumb">
                                    <img src="{{ URL::asset('website/images/about/11.png')}}" alt="img">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-6">
                    <div class="future-generations-inner color-light-purple mb-4">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="left-content">
                                    <div class="thumb mb-4 pb-2">
                                        <img src="{{ URL::asset('website/images/icon/12.png')}}" alt="img">
                                    </div>
                                    <div class="details">
                                        <h5 class="mb-3">Time Management </h5>
                                        <p class="content mb-4">Make the most of your
study time with our
analysis of your time
management skills
</p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6 text-md-end align-self-end">
                                <div class="thumb">
                                    <img src="{{ URL::asset('website/images/about/12.png')}}" alt="img">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- future generations end -->



    <div class="testimonial-area" style="background-image: url('website/images/bg/6.png');">


        <!-- testimonial-area start -->
        <div class="pd-top-110 pd-bottom-90">
            <div class="container">
                <div class="row">
                    <div class="col-xl-4 col-lg-6">
                        <div class="section-title">
                            <h6 class="sub-title">Clients review</h6>
                            <h2 class="title">Expert Guidance for Your Journey</h2>
                        </div>
                    </div>
                </div>
                <div
                    class="testimonial-slider-2 owl-carousel slider-control-round slider-control-dots slider-control-right-top">
                    <div class="item">
                        <div class="single-testimonial-inner mt-0">
                            <div class="row">
                                <div class="col-8 align-self-center">
                                    <div class="ratting-inner">
                                        <i class="fa fa-star"></i>
                                        <i class="fa fa-star"></i>
                                        <i class="fa fa-star"></i>
                                        <i class="fa fa-star"></i>
                                        <i class="fa fa-star"></i>
                                    </div>
                                </div>
                                <div class="col-4 text-lg-end">
                                    <img class="border-radius-50"
                                         src="{{ URL::asset('website/images/testimonial/6.png')}}" alt="img">
                                </div>
                            </div>
                            <p class="pt-xxl-5 pb-xxl-5 pt-4 pb-4">Owalam College Prep revolutionized my approach to
                                studying. With their diagnostic test, I uncovered my weaknesses and focused my efforts
                                efficiently.
                            <div class="media">
                                <div class="media-left pe-3">
                                    <img class="border-radius-50"
                                         src="{{ URL::asset('website/images/testimonial/2.png')}}" alt="img">
                                </div>
                                <div class="media-body align-self-center">
                                    <h5>Devon Lane</h5>

                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="item">
                        <div class="single-testimonial-inner mt-0">
                            <div class="row">
                                <div class="col-8 align-self-center">
                                    <div class="ratting-inner">
                                        <i class="fa fa-star"></i>
                                        <i class="fa fa-star"></i>
                                        <i class="fa fa-star"></i>
                                        <i class="fa fa-star"></i>
                                        <i class="fa fa-star"></i>
                                    </div>
                                </div>
                                <div class="col-4 text-lg-end">
                                    <img class="border-radius-50"
                                         src="{{ URL::asset('website/images/testimonial/6.png')}}" alt="img">
                                </div>
                            </div>
                            <p class="pt-xxl-5 pb-xxl-5 pt-4 pb-4">The online practice quizzes were a game-changer for
                                me. They allowed me to reinforce my learning and track my progress effectively. I aced
                                my exams!
                            <div class="media">
                                <div class="media-left pe-3">
                                    <img class="border-radius-50"
                                         src="{{ URL::asset('website/images/testimonial/1.png')}}" alt="img">
                                </div>
                                <div class="media-body align-self-center">
                                    <h5>Alex M.</h5>

                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="item">
                        <div class="single-testimonial-inner mt-0">
                            <div class="row">
                                <div class="col-8 align-self-center">
                                    <div class="ratting-inner">
                                        <i class="fa fa-star"></i>
                                        <i class="fa fa-star"></i>
                                        <i class="fa fa-star"></i>
                                        <i class="fa fa-star"></i>
                                        <i class="fa fa-star"></i>
                                    </div>
                                </div>
                                <div class="col-4 text-lg-end">
                                    <img class="border-radius-50"
                                         src="{{ URL::asset('website/images/testimonial/6.png')}}" alt="img">
                                </div>
                            </div>
                            <p class="pt-xxl-5 pb-xxl-5 pt-4 pb-4">The video lectures provided by Owalam were engaging
                                and insightful. They clarified complex topics and boosted my understanding, making
                                learning enjoyable!
                            <div class="media">
                                <div class="media-left pe-3">
                                    <img class="border-radius-50"
                                         src="{{ URL::asset('website/images/testimonial/2.png')}}" alt="img">
                                </div>
                                <div class="media-body align-self-center">
                                    <h5>Emily T.</h5>

                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="item">
                        <div class="single-testimonial-inner mt-0">
                            <div class="row">
                                <div class="col-8 align-self-center">
                                    <div class="ratting-inner">
                                        <i class="fa fa-star"></i>
                                        <i class="fa fa-star"></i>
                                        <i class="fa fa-star"></i>
                                        <i class="fa fa-star"></i>
                                        <i class="fa fa-star"></i>
                                    </div>
                                </div>
                                <div class="col-4 text-lg-end">
                                    <img class="border-radius-50"
                                         src="{{ URL::asset('website/images/testimonial/6.png')}}" alt="img">
                                </div>
                            </div>
                            <p class="pt-xxl-5 pb-xxl-5 pt-4 pb-4">Owalam College Prep's resources are top-notch! From
                                study guides to AI tutor accuracy analysis, they provided everything I needed to
                                succeed.
                            <div class="media">
                                <div class="media-left pe-3">
                                    <img class="border-radius-50"
                                         src="{{ URL::asset('website/images/testimonial/1.png')}}" alt="img">
                                </div>
                                <div class="media-body align-self-center">
                                    <h5>Michael S.</h5>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- testimonial-area start -->
    </div>

    <!-- contact-inner-1 start -->
    <div class="contact-area pd-top-120 pd-bottom-110" style="background-image: url('website/images/bg/7.png');">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-xl-6 col-lg-8">
                    <div class="section-title style-white mb-xl-0 text-center">
                        <h6 class="sub-title">Connect with Us</h6>
                        <h2 class="title">Get in <span>Touch </span>Today</h2>
                        <p class="content">Have questions or need assistance? Fill out the form below, and our team will
                            reach out to you shortly.</p>
                    </div>
                </div>
            </div>
            <div class="contact-inner">
                <div class="row">
                    <div class="col-lg-6 wow animated fadeInLeft pe-lg-5" data-wow-duration="1.5s"
                         data-wow-delay="0.3s">
                        <img class="w-100" src="{{ URL::asset('website/images/about/13.png')}}" alt="img">
                    </div>
                    <div class="col-lg-6 mt-4 mt-lg-0 wow animated fadeInRight align-self-center"
                         data-wow-duration="1.5s" data-wow-delay="0.3s">
                        <div class="section-titlemb-0">
                            <form action="{{ route('save_contact_message') }}" method="post">
                                @csrf
                                <div class="row">
                                    <div class="col-lg-6">
                                        <div class="single-input-inner style-border">
                                            <input type="text" placeholder="Your Name" name="name" required style="color: white !important;">
                                        </div>
                                    </div>
                                    <div class="col-lg-6">
                                        <div class="single-input-inner style-border">
                                            <input type="email" placeholder="Your Email" name="email" required style="color: white !important;">
                                        </div>
                                    </div>
                                    <div class="col-lg-6">
                                        <div class="single-input-inner style-border">
                                            <input type="text" placeholder="Your Phone" name="phone" required style="color: white !important;">
                                        </div>
                                    </div>
                                    <div class="col-lg-6">
                                        <div class="single-input-inner style-border">
                                            <input type="text" placeholder="Your Subject" name="subject" required style="color: white !important;">
                                        </div>
                                    </div>
                                    <div class="col-lg-12">
                                        <div class="single-input-inner style-border">
                                            <textarea placeholder="Message" name="message" required style="color: white !important;"></textarea>
                                        </div>
                                    </div>
                                    <div class="col-12">
                                        <button class="btn btn-base mt-0 border-radius-5" type="submit">Submit now
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- contact-inner-1 end -->

    <!-- blog-area start -->
    <div class="blog-area pd-top-120 pb-5">
        <div class="container">
            <div class="section-title">
                <div class="row">
                    <div class="col-xl-6 col-lg-8">
                        <h6 class="sub-title">Blog & Article</h6>
                        <h2 class="title">Stay Informed with Our Latest Posts</h2>
                    </div>
                    <div class="col-xl-6 col-lg-4 text-lg-end align-self-center">
                        <a class="btn btn-base" href="{{ route('blog') }}">All Blogs</a>
                    </div>
                </div>
            </div>
            <div class="row">
                @forelse($blogs as $blog)
                    <div class="col-lg-4 col-md-6">
                        <div class="single-blog-list">
                            <div class="thumb">
                                <img src="{{ URL::asset('admin/assets/uploads/'.$blog->image )}}" alt="img"
                                     style="width: 100%;height:280px">
                                <span
                                    class="date-2">{{ \Carbon\Carbon::parse($blog->created_at)->format('d M') }}</span>
                            </div>
                            <div class="details">
                                <p class="date mb-3 me-4 d-inline-block"><i
                                        class="far fa-folder-open"></i>{{ $blog->category_data->name }}</p>
                                <h5 class="mb-3"><a
                                        href="{{route('blogdetails',[$blog->slug])}}">{{ $blog->heading }}</a></h5>
                                <p class="mb-4">{{ Str::limit(strip_tags($blog->description), 50) }}</p>
                                <a class="right-arrow-text color-base fw-600"
                                   href="{{route('blogdetails',[$blog->slug])}}">Read More
                                    <i class="fa fa-arrow-right ms-2"></i></a>
                            </div>
                        </div>
                    </div>
                @empty
                @endforelse
            </div>
        </div>
    </div>
    <!-- blog-area start -->

@endsection

@section('script')
    <script src="{{ URL::asset('website/js/vendor/waypoints.js') }}"></script>
    <script>
        function test() {
            alert();
        }

    </script>
@endsection
