<!DOCTYPE html>
<html lang="zxx">
<?php
$system = App\Models\Setting::first();
?>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>{{ $system->name }} | @yield('title')</title>
    <link rel=icon href="{{ URL::asset('admin/assets/uploads/'.$system->favicon) }}" sizes="20x20" type="image/png">

    <!-- Stylesheet -->
    <link rel="stylesheet" href="{{ URL::asset('website/css/bootstrap.min.css')}}">
    <link rel="stylesheet" href="{{ URL::asset('website/css/animate.min.css')}}">
    <link rel="stylesheet" href="{{ URL::asset('website/css/fontawesome.min.css')}}">
    <link rel="stylesheet" href="{{ URL::asset('website/css/nice-select.min.css')}}">
    <link rel="stylesheet" href="{{ URL::asset('website/css/magnific.min.css')}}">
    <link rel="stylesheet" href="{{ URL::asset('website/css/slick.min.css')}}">
    <link rel="stylesheet" href="{{ URL::asset('website/css/owl.min.css')}}">
    <link rel="stylesheet" href="{{ URL::asset('website/css/style.css')}}">
    <link rel="stylesheet" href="{{ URL::asset('website/css/responsive.css')}}">

</head>
<body>

<!-- preloader area start -->
<div class="preloader" id="preloader">
    <div class="preloader-inner">
        <div class="spinner">
            <div class="dot1"></div>
            <div class="dot2"></div>
        </div>
    </div>
</div>
<!-- preloader area end -->

<!-- search popup start-->
<div class="td-search-popup" id="td-search-popup">
    <form action="#" class="search-form">
        <div class="form-group">
            <input type="text" class="form-control" placeholder="Search.....">
        </div>
        <button type="submit" class="submit-btn"><i class="fa fa-search"></i></button>
    </form>
</div>
<!-- search popup end-->
<div class="body-overlay" id="body-overlay"></div>


<div class="navbar-top p-0 d-lg-block d-none">
    <div class="container custom-container">
        <div class="row">
            <div class="col-lg-8 align-self-center">
                <ul>
                    <li><i class="fa fa-envelope"></i>{{ $system->email }}</li>
                    <li><i class="fa fa-map-marker-alt"></i>{{ $system->location }}</li>
                </ul>
            </div>
            <div class="col-lg-4 text-lg-end">
                <ul class="topbar-right">
                    @if(Auth::guard('web')->check())
                        <li><a class="btn btn-base border-radius-0 me-3" href="{{ route('profile') }}">Profile</a></li>
                    @else
                        <li><a class="btn btn-base border-radius-0 me-3" href="{{route('login')}}">Login</a></li>
                    @endif
                    <li><a href="{{ $system->facebook }}" target="_blank"><i class="fab fa-facebook"></i></a></li>
                    <li><a href="{{ $system->twitter }}" target="_blank"><i class="fab fa-twitter"></i></a></li>
                    <li><a href="{{ $system->instagram }}" target="_blank"><i class="fab fa-instagram"></i></a></li>
                    <li><a href="https://wa.me/{{ $system->whatsapp }}/?text=Hi, How can we help you ?" target="_blank"><i
                                class="fab fa-whatsapp"></i></a></li>
                </ul>
            </div>
        </div>
    </div>
</div>
<!-- navbar start -->
<nav class="navbar navbar-area navbar-area-2 navbar-expand-lg bg-gray box-shadow-2">
    <img class="navbar-shape" src="{{ URL::asset('website/images/icon/0.png')}}" alt="img">
    <div class="container nav-container custom-container">
        <div class="responsive-mobile-menu">
            <button class="menu toggle-btn d-block d-lg-none" data-target="#itech_main_menu"
                    aria-expanded="false" aria-label="Toggle navigation">
                <span class="icon-left"></span>
                <span class="icon-right"></span>
            </button>
        </div>
        <div class="logo">
            <a href="{{route('home')}}"><img src="{{ URL::asset('admin/assets/uploads/'.$system->logo) }}"
                                             alt="img"></a>
        </div>
        <div class="collapse navbar-collapse" id="itech_main_menu">
            <ul class="navbar-nav menu-open ps-lg-5 ms-xl-5">
                <li><a href="{{route('home')}}">Home</a></li>
                <li><a href="{{route('about')}}">About Us</a></li>
                <!--<li><a href="{{ route('lecture') }}">Lectures</a></li>-->
                <li><a href="{{route('community')}}">Community</a>
                    {{--                    <a href="">--}}
                    {{--                        <span class="badge rounded-pill badge-notification bg-danger">1</span>--}}
                    {{--                    </a>--}}
                </li>
                <li><a href="#">Partners</a></li>
                <li><a href="{{ route('blog') }}">Blog</a></li>
                <li><a href="{{route('contact')}}">Contact Us</a></li>
                @if(Auth::guard('web')->check())
                    <li class="menu-item-has-children">
                        <a href="#">{{ Auth::guard('web')->user()->name }}</a>
                        <ul class="sub-menu">
                            <li><a href="{{ route('profile') }}">Profile</a></li>
                            <li><a href="{{ route('practice') }}">Practice Test</a></li>
                            <li><a href="{{route('community')}}">Community</a></li>
                            <li><a href="{{ route('customerlogout') }}">Logout</a></li>
                        </ul>
                    </li>
                @else
                    <li><a href="{{route('login')}}">Login</a></li>
                @endif
            </ul>
        </div>
        <div class="nav-right-part nav-right-part-desktop d-lg-inline-flex align-item-center">
            <div class="media">
                <div class="media-left pe-3">
                    <img src="{{ URL::asset('website/images/icon/8.png')}}" alt="img">
                </div>
                <div class="media-body">
                    <span>Need help?</span>
                    <h6>{{ $system->phone }}</h6>
                </div>
            </div>
        </div>
    </div>
</nav>
<!-- navbar end -->
