@extends('website.layout.master')

@section('title')

    Lecture Detail

@endsection

<?php
$tags1 = $lectures->tags;
$tags = explode(",", $tags1)
?>

@section('content')

    <!-- blog area start -->
    <div class="blog-area pd-top-120">
        <div class="container">
            <div class="row">
                <div class="col-lg-4 col-12">
                    <div class="td-sidebar">
                        <div class="widget widget_search">
                            <h4 class="widget-title">Search Lecture Here</h4>
                            <form class="search-form" method="get" action="{{ route('lecture') }}">
                                <div class="form-group">
                                    <input type="text" placeholder="Key word" name="heading" required>
                                </div>
                                <button class="submit-btn" type="submit"><i class="fas fa-chevron-right"></i></button>
                            </form>
                        </div>
                        <div class="widget widget_tag_cloud mb-0">
                            <h4 class="widget-title">Popular Tags</h4>
                            <div class="tagcloud">
                                @forelse($tags as $tag)
                                    <a>{{ $tag }}</a>
                                @empty
                                @endforelse
                            </div>
                        </div>
                        <div class="row">
                            @if(Auth::guard('web')->check())
                                @if(!empty($lectures->link))
                                    <div class="col-md-12">
                                        <a class="btn btn-success w-100 mt-3" href="{{ $lectures->link }}">View
                                            Lecture</a>
                                    </div>
                                @endif
                            @endif
                            <div class="col-md-6 mt-4">
                                <button class="btn btn-info w-100" type="button"><i
                                            class="fas fa-satellite-dish"></i> {{ $lectures->lectureby }}</button>
                            </div>
                            <div class="col-md-6 mt-4">
                                <button class="btn btn-info w-100" type="button"><i
                                            class="fas fa-satellite-dish"></i> {{ $lectures->category }}</button>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-8">
                    <div class="blog-details-page-content">
                        <div class="single-blog-inner">
                            <div class="thumb mb-4">
                                <img src="{{ URL::asset('admin/assets/uploads/'.$lectures->image )}}" alt="img"
                                     style="width: 100%">
                            </div>
                        </div>
                    </div>
                </div>

                <div class="col-lg-12">
                    <h2 class="mb-3">{{ $lectures->heading }}</h2>
                    {!! $lectures->description !!}
                    <div class="tag-and-share">
                        <div class="tags d-inline-block">
                            <strong>Tags : </strong>
                            @forelse($tags as $tag)
                                <a>{{ $tag }}</a>
                            @empty
                            @endforelse
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>

@endsection

@section('script')
    <script src="{{ URL::asset('website/js/vendor/waypoints.js') }}"></script>
    <script>
        function test() {
            alert();
        }

    </script>
@endsection
