@extends('website.layout.master')

@section('title')

    Login

@endsection

@section('content')
    <style>
        .placeholders {
            padding-top: 10px;
        }

        .signupp {
            color: rgb(28, 123, 236);
        }

        .section-title {
            background-color: #fbfbfb;
            padding: 7%;
        }
    </style>

    <!-- page title start -->
    <div class="breadcrumb-area bg-cover" style="background-image: url('website/images/bg/9.png');">
        <div class="container">
            <div class="breadcrumb-inner text-center">
                <h2 class="page-title">Login</h2>
                <ul class="page-list">
                    <li><a href="{{route('home')}}">Home</a></li>
                    <li>Login</li>
                </ul>
            </div>
        </div>
    </div>
    <!-- page title end -->


    <!-- login-inner-1 start -->
    <div class="contact-area pd-bottom-120 pd-top-120">
        <div class="container">
            <div class="contact-inner">
                <div class="row">

                    <div class="col-lg-6 mt-4 mt-lg-0 wow animated fadeInRight offset-md-3" data-wow-duration="1.5s"
                         data-wow-delay="0.3s">
                        <div class="section-title mb-0">
                            <h6 class="sub-title">Welcome!</h6>
                            <h2 class="title">Sign in to <span>continue</span></h2>

                            <form class="mt-4" method="post" action="{{ route('customerlogin') }}">
                                @csrf
                                @if($errors->any())
                                    @foreach($errors->all() as $error)
                                        <div class="alert alert-danger" role="alert">
                                            <i data-feather="alert-circle"></i>
                                            {{$error}}
                                        </div>
                                    @endforeach
                                @endif
                                <div class="row">
                                    <div class="col-lg-12">
                                        <div class="single-input-inner style-border">
                                            <label>Email</label>
                                            <div class="placeholders">
                                                <input type="email" name="email" required placeholder="Email">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-lg-12">
                                        <label>Password</label>
                                        <div class="single-input-inner style-border">
                                            <div class="placeholders">
                                                <input type="password" minlength="8" placeholder="Password" name="password" required>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-lg-12">
                                        <div class="form-check">
                                            <input class="form-check-input" type="checkbox" id="flexCheckDefault">
                                            <a href="{{route('forgot')}}" class="float-end ">Forgot Password?</a>
                                            <label class="form-check-label" for="flexCheckDefault">Remember me</label>
                                        </div>
                                    </div>
                                    <div class="col-12">
                                        <div class="placeholders">
                                            <button class="btn btn-base mt-0 w-100 border-radius-5">Sign in</button>
                                        </div>
                                    </div>
                                    <div class="col-12">
                                        <div class="mt-4 text-center">
                                            <p class="mb-0">Already have an account ? <a href="{{route('signup')}}"
                                                                                         class="fw-medium signupp">Sign
                                                    Up </a></p>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- login-inner-1 end -->

@endsection

@section('script')
    <script src="{{ URL::asset('website/js/vendor/waypoints.js') }}"></script>
    <script>
        function test() {
            alert();
        }

    </script>
@endsection
