@extends('website.layout.master')

@section('title')
    Reset Password
@endsection

@section('content')
    <style>
        .main-header.style-one {
            position: relative !important;
        }

        .main-menu .navigation > li > a {
            color: black !important;
        }

        .fa-align-right {
            color: black !important;
        }

        .main-header.style-one .header-lower .menu-right-content:before {
            background: black !important;
        }

        .sign-in-container {
            display: flex;
            align-items: center;
            flex-direction: row-reverse;

        }

        .sign-column {
            display: flex;
            align-items: center;
            justify-content: center;
            text-align: center;
            width: 100%;
            font-size: 16px;
            height: 100vh;
            margin-top: 5%;
            margin-bottom: 5%;
        }


        .sign-in-title {
            font-weight: 600;
            font-size: 36px;
        }

        .sign-in-title {
            margin-top: 30px;
            color: #222 !important;
            margin-bottom: 3%;
        }

        .s2 {
            display: flex;
            align-items: center;
            justify-content: center;
            padding: 50px 0;
            overflow: auto;
            background: #f9f9f9;
            width: 500px;
            box-shadow: 0 0 25px #00000061;
            border-radius: 8px;
        }

        .sign-in-title-alt {
            color: #000;

            padding: 10px 35px;
        }

        .sign-buttons {
            display: flex;
            justify-content: center;
            flex-wrap: wrap;
            gap: 12px;
            padding: 25px 0;
        }

        .login-w-button {
            display: flex;
            justify-content: center;
            align-items: center;
            text-decoration: none;
            gap: 10px;
            border: 1px solid #3676FF;
            background: #fff;
            padding: 10px;
            height: 40px;
            width: 200px;
            border-radius: 5px;
            color: #222222;
            transition: .3s ease all;
            font-size: 14px;
            box-shadow: 0 0 15px #00000020;
        }

        .login-w-button:hover {
            background: #eef4ff;
            border: 1px solid #a3c1f5;
            box-shadow: 0 0 5px #00000020;
        }

        .slice-text-c {
            position: relative;
            display: flex;
            align-items: center;
            justify-content: center;
            padding: 30px 0;
        }

        .slice-text {
            color: #000;
            background: #fff;
            padding: 10px;
        }

        .slicer {
            position: absolute;
            height: 1px;
            background: #e5e5e5;
            width: 500px;
            z-index: -1;
        }

        .input-container {
            display: flex;
            justify-content: center;
            margin: auto;
            gap: 20px;
            flex-direction: column;
            width: 400px;
        }

        .input-container input, .input-container button {
            padding: 15px;
            height: 40px;
            border-radius: 5px;
            outline: none;
            border: 1px solid #3676FF;
            box-shadow: 0 0 15px #00000020;
            transition: .3s ease all;
        }

        .input-container input:focus {
            border: 1px solid #3676FF;
            background: #eff5ff;
        }

        .input-container button {
            display: flex;
            align-items: center;
            justify-content: center;
            background: #3676FF;
            color: #fff;
            cursor: pointer;
            transition: .3s ease all;
        }

        .input-container button:hover {
            box-shadow: 0 0 5px #00000020;
        }

        .alt-f-full {
            color: #000;
            font-size: 14px;
        }

        .alt-f {
            color: #3676FF;
            font-size: 14px;
            text-decoration: none;
        }

        .footer-s {
            position: absolute;
            bottom: 30px;
            display: flex;
            gap: 10px;

        }

        .footer-s a {
            color: #fff;
        }

        .sign-column:nth-child(2) {
            position: relative;
            display: flex;
            align-items: center;
            justify-content: space-around;
            flex-direction: column;


        }

        input::placeholder {
            color: #000;

        }

        .intro-p {
            color: #252525;

            max-width: 750px;
        }

        .intro-img {

            height: 500px;
        }

        .intro-img img {
            max-width: 600px;
        }

        /* Chrome, Safari, Edge, Opera */
        input::-webkit-outer-spin-button,
        input::-webkit-inner-spin-button {
            -webkit-appearance: none;
            margin: 0;
        }

        /* Firefox */
        input[type=number] {
            -moz-appearance: textfield;
        }

        .canvas-logo {
            background: #fff;
            border-radius: 8px;
            width: 350px;
            box-shadow: 0 0 25px #00000061;
            margin: 10px auto;

        }

        .canvas-logo img {
            width: 100%;
        }

        .intro-title {

            font-size: 18px;
            padding: 10px 0;
            color: #fff;

        }


        .intro-title-alt {
            color: #353535;
            font-size: 16px;
        }

        .alt-f-full-ch {
            display: flex;
            align-items: center;
            font-size: 14px;
            gap: 5px;

            color: #000;
        }

        .alt-f-full-ch input {
            box-shadow: 0 0 0;
        }

        @media only screen and (max-width: 1100px) {
            body {
                background: #fff;
            }

            .s2 {
                display: flex;
                align-items: start;
                justify-content: center;
                padding: 0px;
                padding: 10px;
                padding-top: 50px;
                padding-bottom: 50px;
                background: #f9f9f9;
                height: auto;
                width: 100%;
                box-shadow: 0 0 0px #00000061;
                border-radius: 0px;
            }

            .sign-column:nth-child(2) {
                display: none;
            }

            .sign-column:nth-child(1) {
                width: 100% !important;
                height: auto;
            }

            .slicer {
                width: 0px !important;
            }

            .login-w-button {
                width: 100%;
            }

            .input-container {
                display: flex;
                justify-content: center;
                margin: auto;
                gap: 20px;
                flex-direction: column;
                width: 100%;
            }
        }

        @media only screen and (max-height: 675px) {
            body {
                background: #fff;
            }

            .s2 {
                display: flex;
                align-items: start;
                justify-content: center;
                padding: 0px;
                padding: 10px;
                padding-top: 50px;
                padding-bottom: 50px;
                background: #ffffff;
                height: auto;
                width: 100%;
                box-shadow: 0 0 0px #00000061;
                border-radius: 0px;
            }

            .sign-column:nth-child(2) {
                display: none;
            }

            .sign-column:nth-child(1) {
                width: 100% !important;
                height: auto;
            }

            .slicer {
                width: 0px !important;
            }

            .login-w-button {
                width: 100%;
            }

            .input-container {
                display: flex;
                justify-content: center;
                margin: auto;
                gap: 20px;
                flex-direction: column;
                width: 100%;
            }
        }
    </style>

    <div class="sign-column s1 col-md-12 col-12" style="height:auto !important;">
        <div class="sign-column-face s2" style="height:auto !important;">
            <div class="s3">
                <div class="sign-header-section">
                    <div class="sign-in-title"> Create New Password!</div>
                </div>

                <form class="input-container col-md-12 col-12 MyForm" method="post"
                      action="{{ route('saveresetnewpassword') }}">
                    @csrf
                    <input type="hidden" name="id" value="{{ $email }}">
                    <input type="password" required placeholder="Password" minlength="8" name="password" value="{{ old('password') }}">
                    <input type="password" required placeholder="Confirm Password" minlength="8" name="password_confirmation" value="{{ old('password_confirmation') }}">
                    @include('admin.layout.laravel_errors')
                    <button class="theme-btn style-one" type="submit" name="submit-form"
                            style="background-color:#1c6ead !important;">Submit
                    </button>
                    <div href="{{ route('login') }}" class="alt-f-full"> Login Your Account ? <a
                            href="{{ route('login') }}" class="alt-f">
                            <b>Signin</b>
                        </a></div>
                </form>
            </div>
        </div>
    </div>
@endsection
