<?php

use Illuminate\Support\Facades\Route;


Route::get('/clear', function () {

    Artisan::call('cache:clear');
    Artisan::call('config:clear');
    Artisan::call('config:cache');
    Artisan::call('view:clear');
    Artisan::call('route:clear');

    return "Cleared!";

});

Route::get('/', [App\Http\Controllers\WebsiteController::class, 'home'])->name('/');
Route::get('home', [App\Http\Controllers\WebsiteController::class, 'home'])->name('home');
Route::get('contact', [App\Http\Controllers\WebsiteController::class, 'contact'])->name('contact');
Route::post('save_contact_message', [App\Http\Controllers\WebsiteController::class, 'save_contact_message'])->name('save_contact_message');
Route::get('about', [App\Http\Controllers\WebsiteController::class, 'about'])->name('about');
Route::get('login', [App\Http\Controllers\WebsiteController::class, 'login'])->name('login');
Route::post('customerlogin', [App\Http\Controllers\WebsiteController::class, 'customerlogin'])->name('customerlogin');
Route::get('signup', [App\Http\Controllers\WebsiteController::class, 'signup'])->name('signup');
Route::post('save_register_user', [App\Http\Controllers\WebsiteController::class, 'save_register_user'])->name('save_register_user');


Route::get('ForgotPassword', [App\Http\Controllers\WebsiteController::class, 'forgot'])->name('forgot');
Route::post('resetpassword', [App\Http\Controllers\WebsiteController::class, 'resetpassword'])->name('resetpassword');
Route::get('Reset+New+Password/{id}/', [App\Http\Controllers\WebsiteController::class, 'resetnewpassword'])->name('resetnewpassword');
Route::post('save+new+password', [App\Http\Controllers\WebsiteController::class, 'saveresetnewpassword'])->name('saveresetnewpassword');

Route::get('privacy', [App\Http\Controllers\WebsiteController::class, 'privacy'])->name('privacy');
Route::get('terms', [App\Http\Controllers\WebsiteController::class, 'terms'])->name('terms');
Route::get('lecture', [App\Http\Controllers\WebsiteController::class, 'lecture'])->name('lecture');
Route::get('Lecture+Detail/{slug}', [App\Http\Controllers\WebsiteController::class, 'lecturedetails'])->name('lecturedetails');
Route::get('blog', [App\Http\Controllers\WebsiteController::class, 'blog'])->name('blog');
Route::get('Blog+Detail/{slug}', [App\Http\Controllers\WebsiteController::class, 'blogdetails'])->name('blogdetails');


//// After Login
Route::namespace('Auth')->middleware('auth:web')->group(function () {

    Route::get('/customerlogout', [App\Http\Controllers\WebsiteController::class, 'customerlogout'])->name('customerlogout');
    Route::get('Profile', [App\Http\Controllers\WebsiteController::class, 'profile'])->name('profile');
    Route::post('/updateuserprofile', [App\Http\Controllers\WebsiteController::class, 'updateuserprofile'])->name('updateuserprofile');
    Route::get('community', [App\Http\Controllers\WebsiteController::class, 'community'])->name('community');
    Route::post('save_chat_message', [App\Http\Controllers\WebsiteController::class, 'save_chat_message'])->name('save_chat_message');
    Route::get('load_community_chat', [App\Http\Controllers\WebsiteController::class, 'load_community_chat'])->name('load_community_chat');
    Route::get('bind_channel', [App\Http\Controllers\WebsiteController::class, 'bind_channel'])->name('bind_channel');
    Route::get('Practice+Test', [App\Http\Controllers\WebsiteController::class, 'practice'])->name('practice');
});


Route::name('admin.')->prefix('admin')->group(function () {

    Route::get('/clear', function () {

        Artisan::call('cache:clear');
        Artisan::call('config:clear');
        Artisan::call('config:cache');
        Artisan::call('view:clear');
        Artisan::call('route:clear');

        return "Cleared!";

    });

//    without login
    Route::match(['get', 'post'], '/login', [App\Http\Controllers\LoginController::class, 'adminLogin'])->name('login');

    Route::middleware(['admin-auth', 'user-access:admin'])->group(function () {

//    After Login
        Route::get('/', [App\Http\Controllers\AdminHomeController::class, 'Dashboard'])->name('/');
        Route::get('/dashboard', [App\Http\Controllers\AdminHomeController::class, 'Dashboard'])->name('dashboard');
        Route::get('/home', [App\Http\Controllers\AdminHomeController::class, 'Dashboard'])->name('home');
        Route::post('/logout', [App\Http\Controllers\LoginController::class, 'logout'])->name('logout');

        // Admin Profile
        Route::get('/AdminProfile', [App\Http\Controllers\AdminHomeController::class, 'AdminProfile'])->name('AdminProfile');
        Route::post('/updateprofile', [App\Http\Controllers\AdminHomeController::class, 'updateprofile'])->name('updateprofile');

        // Application Setting
        Route::get('/setting', [App\Http\Controllers\SettingController::class, 'setting'])->name('setting');
        Route::post('/updatesetting', [App\Http\Controllers\SettingController::class, 'updatesetting'])->name('updatesetting');

        // contact_messages
        Route::get('/Contact+Messages', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'contact_messages'])->name('contact_messages');
        Route::get('/delete_contact_message/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'delete_contact_message'])->name('delete_contact_message');

        // Blogs
        Route::get('/blogcategories', [App\Http\Controllers\BlogsController::class, 'blogcategories'])->name('blogcategories');
        Route::post('/saveblogcategory', [App\Http\Controllers\BlogsController::class, 'saveblogcategory'])->name('saveblogcategory');
        Route::post('/updateblogcategory', [App\Http\Controllers\BlogsController::class, 'updateblogcategory'])->name('updateblogcategory');
        Route::get('/deleteblogcategory/{id}', [App\Http\Controllers\BlogsController::class, 'deleteblogcategory'])->name('deleteblogcategory');
        Route::get('/addblogs', [App\Http\Controllers\BlogsController::class, 'addblogs'])->name('addblogs');
        Route::post('/saveblogs', [App\Http\Controllers\BlogsController::class, 'saveblogs'])->name('saveblogs');
        Route::get('/blogslist', [App\Http\Controllers\BlogsController::class, 'blogslist'])->name('blogslist');
        Route::get('/deleteblog/{id}', [App\Http\Controllers\BlogsController::class, 'deleteblog'])->name('deleteblog');
        Route::get('/editblog/{id}', [App\Http\Controllers\BlogsController::class, 'editblog'])->name('editblog');
        Route::post('/updateblogs', [App\Http\Controllers\BlogsController::class, 'updateblogs'])->name('updateblogs');

        // Terms Conditions / Privacy Policy
        Route::get('Terms+Conditions', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'terms_condition'])->name('terms_condition');
        Route::post('update_terms_condition', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'update_terms_condition'])->name('update_terms_condition');
        Route::get('Privacy+Policy', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'privacy_policy'])->name('privacy_policy');
        Route::post('update_privacy_policy', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'update_privacy_policy'])->name('update_privacy_policy');

        // Terms Conditions / Privacy Policy
        Route::get('LecturesList', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'lectures'])->name('lectures');
        Route::get('Add+Lectures', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'addlectures'])->name('addlectures');
        Route::post('savelecture', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'savelecture'])->name('savelecture');
        Route::get('/deletelecture/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'deletelecture'])->name('deletelecture');
        Route::get('/Edit+Lecture/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'editlecture'])->name('editlecture');
        Route::post('/updatelecture', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'updatelecture'])->name('updatelecture');

        // Users List
        Route::get('/Users+List', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'users_list'])->name('users_list');
        Route::get('/active_inactive/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'active_inactive'])->name('active_inactive');

        // Practice Lacture
        Route::get('/Add+Practice+Lecture', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'addpracticelectures'])->name('addpracticelectures');
        Route::post('/savepracticelectures', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'savepracticelectures'])->name('savepracticelectures');
        Route::post('/updatepracticerecord', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'updatepracticerecord'])->name('updatepracticerecord');
        Route::get('/Practice+lectures+list', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'practicelectureslist'])->name('practicelectureslist');
        Route::get('/deletepracticelecture/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'deletepracticelecture'])->name('deletepracticelecture');


    });
});
?>
